## org.eclipse.emf.ecoretools.diagram.providers
Class ElementInitializers.Initializers.ObjectInitializer

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers.Initializers.ObjectInitializer

All Implemented Interfaces:
  ElementInitializers.Initializers.IObjectInitializer

Enclosing class:
  ElementInitializers.Initializers

    public abstract static class ElementInitializers.Initializers.ObjectInitializer

extends java.lang.Object
implements ElementInitializers.Initializers.IObjectInitializer

Method Summary
`protected org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers.Initializers.IFeatureInitializer` `add(org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers.Initializers.IFeatureInitializer initializer)`
`protected abstract void` `init()`
`void` `init(org.eclipse.emf.ecore.EObject instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    protected abstract void init()

### add

    protected final org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers.Initializers.IFeatureInitializer add(org.eclipse.emf.ecoretools.diagram.providers.ElementInitializers.Initializers.IFeatureInitializer initializer)

### init

    public void init(org.eclipse.emf.ecore.EObject instance)

  Specified by:
    `init` in interface `ElementInitializers.Initializers.IObjectInitializer`

Copyright 2007 Anyware Technologies. All Rights Reserved.